Skip to main content
GET
Get a project template

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

id
string
required

The project template ID

Query Parameters

book_id
string

Filter by book ID

Response

project template retrieved

id
string
required

The project template ID

Example:

"template123xyz"

title
string
required

The template title

Example:

"New Client Onboarding"

archived_at
string<date-time> | null
required

When the project template was archived

project_milestones
object[]
required
guid
string

The project template GUID

Example:

"template-guid"

description
string | null
projectable_kind
enum<string>

The related record kind this template supports

Available options:
household,
contact,
business
enable_kanban_view
boolean
book_id
string | null

The sole shared book ID, or null when shared with multiple books

book_name
string | null
book_initials
string | null
book_ids
string[]

Books that can use this project template

books
object[]
company_wide
boolean

Whether the template is shared with every current company book

order_index
integer
attachments
object[]
created_at
string<date-time>
updated_at
string<date-time>